/*!
* CrushFTP Web GUI Initial events
*
* http://crushFTP.com/
*
* Copyright @ CrushFTP
*
* Date: Thu, Aug 11 2011
*
* Author: Vipul Limbachiya
*
* http://vipullimbachiya.com
*/

$(document).ready(function(){
	$("#placeHolder").hide();
	userManager.UI.initLoadingIndicator();
	$("#mainServerInstance").unbind().change(function(){
		var options = {
			path: '/'
		};
		$.cookie("mainServerInstance", null);
		$.cookie("mainServerInstance", $(this).val(), options);
		window.location = window.location;
	});
	userManager.userLogin.bindUserName(function (response, username) {
		userManager.UI.showLoadingIndicator({});
		$("#UserManagerPanel").form();
		css_browser_selector(navigator.userAgent);
		$(".button").button();
		if (response == "failure") {
			window.location = "/WebInterface/login.html?link=/WebInterface/UserManager/index.html";
		} else {
			userManager.methods.initGUI();
		}
	});
});

function doLogout()
{
	$.ajax({type: "POST",url: "/WebInterface/function/",data: {command: "logout",random: Math.random()},
		error: function (XMLHttpRequest, textStatus, errorThrown)
		{
			$.cookie("CrushAuth", "", {path: '/',expires: -1});
			document.location = "/WebInterface/login.html";
		},
		success: function (msg)
		{
			$.cookie("CrushAuth", "", {path: '/',expires: -1});
			document.location = "/WebInterface/login.html";
		}
	});
	return false;
}